/*******************************************************************************
 * JMMC project ( http://www.jmmc.fr ) - Copyright (C) CNRS.
 ******************************************************************************/
/*
 * Beginner's code which generates test files for aspro2
 * This code can be executed from LITproWrapper test directory using the proper
 * yorick version.
 *
 */

#include "../yoga/LITpro/yorick/LITpro.i"
#include "../yoga/LITpro/yorick/LITpro_practice.i"

world = load_model("binarySettings.i");

xmin=-10.0;
xmax=10.0;
ymin=-10.0;
ymax=10.0;
idx=0;



for(rho=0; rho<=20; rho++)
{
idx++;
set_parameter, world, "rho2", value=rho/10;

if(1){filename_prefix="out/model"+pr1(idx);

filename = filename_prefix+"_uvmap";
print,"generates "+filename;
winkill
window, display="",hcp="img.ps";
lp_plot_uvmap, world,i,no_data=1;
pdf, filename 

winkill
filename = filename_prefix+"_image";
print,"generates "+filename;
window, display="",hcp="img.ps";
lp_plot_image,world,i,xmin=xmin, xmax=xmax, ymin=ymin , ymax=ymax, pixscale=.1;
pdf, filename 
}
}

for(pa=0; pa<=90; pa+=5)
{
idx++;
set_parameter, world, "PA2", value=pa;
if(1){
filename_prefix="out/model"+pr1(idx);

filename = filename_prefix+"_uvmap";
print,"generates "+filename;
winkill
window, display="",hcp="img.ps";
lp_plot_uvmap, world,i,no_data=1;
pdf, filename 

winkill
filename = filename_prefix+"_image";
print,"generates "+filename;
window, display="",hcp="img.ps";
lp_plot_image,world,i,xmin=xmin, xmax=xmax, ymin=ymin , ymax=ymax, pixscale=.1;
pdf, filename 
 }
}


for(rho=20; rho>=1; rho--)
{
idx++;
pa+=5;
set_parameter, world, "rho2", value=rho/10;
set_parameter, world, "PA2", value=pa;
filename_prefix="out/model"+pr1(idx);

filename = filename_prefix+"_uvmap";
print,"generates "+filename;
winkill
window, display="",hcp="img.ps";
lp_plot_uvmap, world,i,no_data=1;
pdf, filename 

winkill
filename = filename_prefix+"_image";
print,"generates "+filename;
window, display="",hcp="img.ps";
lp_plot_image,world,i,xmin=xmin, xmax=xmax, ymin=ymin , ymax=ymax, pixscale=.1;
pdf, filename 
}



